import Vue from 'vue'
import Router from 'vue-router'
Vue.use(Router)
// 公共路由
export const constantRoutes = [
  // {
  //   path: '/login',
  //   component: (resolve) => require(['@/views/ssoLogin'], resolve),
  //   hidden: true
  // },
  {
    path: '/home',
    component: (resolve) => require(['@/views/home'], resolve),
    hidden: true
  },
  {
    path: '/',
    component: (resolve) => require(['@/views/login'], resolve),
    hidden: true
  },
]

export default new Router({
  mode: 'hash', // 去掉url中的#
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})
